var mimichantCourant = 0;
var menuAffiche=0;

var IE = document.all?true:false;
if (!IE) document.captureEvents(Event.MOUSEMOVE)
document.onmousemove = getMouseXY;
var tempX = 0;
var tempY = 0;

function getMouseXY(e) {
    if (IE) {
        tempX = event.clientX + document.body.scrollLeft;
        tempY = event.clientY + document.body.scrollTop;
    }
    else {
        tempX = e.pageX;
        tempY = e.pageY;
    }  
    if (tempX < 0) {
        tempX = 0;
    }
    if (tempY < 0) {
        tempY = 0;
    }
    document.Show.MouseX.value = tempX;
    document.Show.MouseY.value = tempY;
    return true;
}
//---------- IL FAUDRA RAJOUTER LA VERIFICATION DE LA DISTANCE ENTRE LES 2 MIMICHANTS ------------------------

function afficherMenu(mimi) {
    mimichantCourant = mimi;
    var menu = document.getElementById("menuMimi");
    menu.style.left = tempX+"px";
    menu.style.top = tempY+"px";
    menu.style.display="block";
    menuAffiche=1;
}

function cacherMenu() {
    document.getElementById("menuMimi").style.display="none";
    menuAffiche = 0;
}

function attaquer() {
    if(mimichantCourant>0) alert("Vous attaquez "+mimichantCourant+" !");
    else alert("Il y a un probleme !");
}

function copuler() {
    if(mimichantCourant>0) alert("Vous copulez avec "+mimichantCourant+" !");
    else alert("Il y a un probleme !");
}

function copain() {
    if(mimichantCourant>0) alert("Vous devenez copain avec "+mimichantCourant+" !");
    else alert("Il y a un probleme !");
}

function cliquer() {
    if(menuAffiche==1)
        cacherMenu();
}

document.onmouseup = cliquer;



